import React, { useState } from 'react';
import { withRouter } from 'react-router';
import axios from 'axios';
import { Form, Image } from 'semantic-ui-react';

const API_URL = 'http://138.195.142.10';

// Attempts to login and if successful stores the userId in localStorage and redirects to the boards list
const handleLogin = async (username, password) => {
    const requestOptions = {
        method : 'POST',
        body : JSON.stringify({ 
            "username" : username,
            "password" : password,
        }),
    }
    fetch(API_URL+'/login', requestOptions)
        .then(response => response.json())
        .then(data => this.setState({ postID:data.id })) 
};

// Attempts to register and if successful stores the userId in localStorage and redirects to the boards list
const handleRegister = async (username, password) => {
    const requestOptions = {
        method : 'POST',
        body : JSON.stringify({ 
            "username" : username,
            "password" : password,
        }),
    }
    fetch(API_URL+'/users', requestOptions)
        .then(response => response.json())
        .then(data => this.setState({ postID:data.id }))
};

const Login = () => {
    // Initializes username and password in the state

    return (
        <div>
            <h3>Hello There</h3>
        </div>
    );
};

export default withRouter(Login);
